%def_enable gtk1

Summary: 	A collection of GTK+-2.x themes for the Smooth engine
Name: 		gtk2-smooth-themes
Version: 	0.5.2
Release: 	alt1
License:	LGPL
URL: 		http://sourceforge.net/projects/smooth-engine/
Source0: 	smooth-themes-%version.tar.bz2
Source1:	GTK2-BlueSmooth.tar.bz2
Source2:	GTK2-OldWorld.tar.bz2
Source3:	GTK2-Smooth-ColdBlue.tar.bz2
source4:	GTK2-Smooth-Cool-Blue.tar.bz2

Group: 		Graphical desktop/GNOME
BuildArch: 	noarch

Requires:	gtk2-smooth-engine >= 0.5.2
BuildRequires:  pkgconfig libgtk+2-devel

%description
A collection of (mostly) nice, clean, useable themes for the Smooth engine.
This package contains themes for GTK+-2.x

%package -n gtk1-smooth-themes
Summary: 	A collection of GTK+-1.x themes for the Smooth engine
Group: 		Graphical desktop/GNOME
Requires:       gtk1-smooth-engine >= 0.5.2

%description -n gtk1-smooth-themes
A collection of (mostly) nice, clean, useable themes for the Smooth engine.
This package contains themes for GTK+-1.x

%prep
%setup -q -n smooth-themes-%version

%build
%configure
%make_build

%install
make install DESTDIR=%buildroot

pushd %buildroot%_datadir/themes
for i in %SOURCE1 %SOURCE2 %SOURCE3 %SOURCE4; do
	tar -jxvf $i
	find ./ -type f -exec chmod 0644 {} \;
done
popd
mv %buildroot%_datadir/themes/BlueSmooth/README ./BlueSmooth.README


find %buildroot%_datadir -type d -name 'gtk' \
	| sed -e 's|^%buildroot||' > gtk1-files

find %buildroot%_datadir -type d -name 'gtk-2.0' \
	| sed -e 's|^%buildroot||' > gtk2-files

find %buildroot%_datadir -type f -name 'index.theme' \
	| sed -e 's|^%buildroot||' >> gtk2-files

%files -f gtk2-files
%doc BlueSmooth.README

%if_enabled gtk1
%files -n gtk1-smooth-themes -f gtk1-files
%endif

%changelog
* Thu Feb 12 2004 Alexey Morozov <morozov@altlinux.org> 0.5.2-alt1
- "Official" ALT build
- GTK+-1 package is optional (enabled by default)

* Sat Jan 10 2004 Alexey Morozov <morozov@altlinux.org> 0.5.2-alt0.aam1
- Initial build for ALT Linux (based on spec from the package)
